### Enumeration

# ECal OperationFlags

since: 3.34

#### Declaration

    flags ECal.OperationFlags

#### Description [src]

Calendar operation flags, to specify behavior in certain situations. The conflict resolution mode flags cannot be combined together, where the `E_CAL_OPERATION_FLAG_CONFLICT_KEEP_LOCAL` is the default behavior (and it is used when no other conflict resolution flag is set). The flags can be ignored when the operation or the backend don’t support it.

Available since: 3.34

#### Members

`E_CAL_OPERATION_FLAG_NONE`

  No operation flags defined.

  - Value: `0`
  - Available since: 3.34
`E_CAL_OPERATION_FLAG_CONFLICT_FAIL`

  Conflict resolution mode, to fail and do not do any changes, when a conflict is detected.

  - Value: `1`
  - Available since: 3.34
`E_CAL_OPERATION_FLAG_CONFLICT_USE_NEWER`

  Conflict resolution mode, to use newer of the local and the server side data, when a conflict is detected.

  - Value: `2`
  - Available since: 3.34
`E_CAL_OPERATION_FLAG_CONFLICT_KEEP_SERVER`

  Conflict resolution mode, to use the server data (and local changed), when a conflict is detected.

  - Value: `4`
  - Available since: 3.34
`E_CAL_OPERATION_FLAG_CONFLICT_KEEP_LOCAL`

  Conflict resolution mode, to use local data (and always overwrite server data), when a conflict is detected.

  - Value: `0`
  - Available since: 3.34
`E_CAL_OPERATION_FLAG_CONFLICT_WRITE_COPY`

  Conflict resolution mode, to create a copy of the data, when a conflict is detected.

  - Value: `8`
  - Available since: 3.34
`E_CAL_OPERATION_FLAG_DISABLE_ITIP_MESSAGE`

  Request to disable send of an iTip message by the server; this works only for servers which support iTip handling.

  - Value: `16`
  - Available since: 3.34